

#ifndef STDB_UTILITY_PKG_INCLUDED
#define STDB_UTILITY_PKG_INCLUDED


/* -------------------------------------------------------------------------- */

int stdb_trim_str (
    char *str                 /* i/o : string */
    );

/* -------------------------------------------------------------------------- */

char *stdb_translate_logical (
     const char *logical  /* i: VMS logical name or UNIX environment variable */
     );

/* -------------------------------------------------------------------------- */

void stdb_get_system_time (
    char *date,		/* o: date string - must be at least 12 chars	*/
    char *timeofday	/* o: time string - must be at least 9 chars	*/
    );

/* -------------------------------------------------------------------------- */

void stdb_get_current_time (
    char *cur_time             /* o: current time         */
    );

/* -------------------------------------------------------------------------- */

void stdb_string_upper (
     char *str          /* i/o: string to be convert */
     );

/* -------------------------------------------------------------------------- */

void stdb_string_lower (
     char *str          /* i/o: string to be convert */
     );

/* -------------------------------------------------------------------------- */

char *stdb_strstr(
     register const char *string1,      /* i: text to be searched  */
     register const char *string2       /* i: find string  */
     );

/* -------------------------------------------------------------------------- */

void stdb_lowercase_str (
     char *str      /* i/o: string to convert */
     );

/* -------------------------------------------------------------------------- */

int stdb_delete_trailing (
    char *str       /* i/o: string to be trimmed */
    );

/* -------------------------------------------------------------------------- */

double stdb_time ();

/* -------------------------------------------------------------------------- */

char *stdb_get_end_quote (
     char *buffer      /* i/o: string in which to search for quote */
     );

/* -------------------------------------------------------------------------- */

void stdb_tolower_query (
     char *buf,         /* i/o: query buffer                                */
     int  *status       /* o:   return status (STDB_CONTINUE, STDB_ERROR)   */
     );

/* -------------------------------------------------------------------------- */

int stdb_module_name (
    const int  db,  /* i: index into context array      */
    char *module,   /* o: module name of current query  */
    int  *query_no  /* o: query number of current query */
    );

/* -------------------------------------------------------------------------- */

#endif /* STDB_UTILITY_PKG_INCLUDED */

/* NO CODE BEYOND THIS #ENDIF */
